aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2008-10-08 09:46:54 -0700
committerRuss Cox <rsc@golang.org>2008-10-08 09:46:54 -0700
commitbbb00c62e1de987a0d5af4e78cb2c6ef5f8272c1 (patch)
tree5bf378e87d3d21b4181c5ea4358f4aa4d786aeae /src
parent103fec0455fd8862509280dc5730717ceced111f (diff)
downloadgo-bbb00c62e1de987a0d5af4e78cb2c6ef5f8272c1.tar.xz
split all.bash into make.bash and run.bash
R=r OCL=16720 CL=16728
Diffstat (limited to 'src')
-rwxr-xr-xsrc/all.bash38
-rwxr-xr-xsrc/run.bash38
2 files changed, 39 insertions, 37 deletions
diff --git a/src/all.bash b/src/all.bash
index b9202e1118..006ac5965e 100755
--- a/src/all.bash
+++ b/src/all.bash
@@ -5,40 +5,4 @@
set -e
bash make.bash
-
-xcd() {
- builtin cd $1
- echo --- cd $1
-}
-
-(xcd ../usr/gri/gosrc
-make clean
-time make
-make test
-)
-
-(xcd ../usr/gri/pretty
-make clean
-time make
-make test
-)
-
-(xcd ../usr/r/rpc
-make clean
-time make
-chanrun
-)
-
-(xcd ../usr/r/refl
-rm -f *.6 6.out
-6g refl.go
-6g printf.go
-6g main.go
-6l main.6
-6.out
-)
-
-(xcd ../test
-./run
-)
-
+bash run.bash
diff --git a/src/run.bash b/src/run.bash
new file mode 100755
index 0000000000..cd33b891ed
--- /dev/null
+++ b/src/run.bash
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright 2009 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+
+xcd() {
+ builtin cd $1
+ echo --- cd $1
+}
+
+(xcd ../usr/gri/gosrc
+make clean
+time make
+make test
+)
+
+(xcd ../usr/gri/pretty
+make clean
+time make
+make test
+)
+
+
+(xcd ../usr/r/refl
+rm -f *.6 6.out
+6g refl.go
+6g printf.go
+6g main.go
+6l main.6
+6.out
+)
+
+(xcd ../test
+./run
+)
+